#!/bin/sh
#
# Creates a .tar.bz2 archive of the development directory.
#
# Expects the name of the archive (without extension) and the version number as parameter.
#
# If the thierd parameter is "make-devel-doc" then a devel-doc package will be created.
#
# If the archive exists yet, the old archive will be deleted.
SCRIPTDIR=`pwd`



echo "Creating archives"
if [ "$3" = "make-devel-doc" ]; # if third parameter is "make-devel-doc"...
then cd ${SCRIPTDIR}/../.. && rm -f ./$1-devel-doc-$2.tar && rm -f ./$1-devel-doc-$2.tar.bz2 && tar -cf $1-devel-doc-$2.tar kstreamripper/apidoc && bzip2 ./$1-devel-doc-$2.tar
else rm ${SCRIPTDIR}/../rpm/*devel-doc*.spec
fi
cd ${SCRIPTDIR} && ./remove-old-apidoc.sh
cd ${SCRIPTDIR}/../.. && rm -f ./$1-$2.tar && rm -f ./$1-$2.tar.bz2 && tar -cf $1-$2.tar kstreamripper && bzip2 ./$1-$2.tar
cp ${SCRIPTDIR}/../rpm/*.spec ${SCRIPTDIR}/../..
echo "Done creating archives"
